card_tags:
  namespace: "Molecules/TM - Cards"
  use: "@molecules/tm-cards/card-partials/tags.html.twig"
  label: Card tags
  description: Card tags
  libraries:
    - card_tags_visible_lib:
        js:
          ../behaviors/card-tags-visible.js: { }

  fields:
    tags:
      type: object
      label: The filter links
      description: The filter links
      preview:
        - name: "Food, Drink & Shopping"
          url: "somewhere"
        - name: "Sports & Recreation"
          url: "somewhere"
        - name: "Historical Houses, Gardens & Parks"
          url: "somewhere"
        - name: "Exhibitions & Events"
          url: "somewhere"
        - name: "Tours & Guided Walks"
          url: "somewhere"

  settings:
    visible_limit:
      type: textfield
      label: Number of visible tags
      description: How many tags are going to be displayed by default
      preview: "2"
